#include <iostream>
using namespace std;
int main()
{
	int a,b,x,y;
	scanf("%d%d%d%d",&a,&b,&x,&y);
	if(a==x && b==y)
	printf("nijedan");
	if(a>x && b>y)
	printf("?");
	if(a==x && b>y)
	printf("drugi");
	if(a>x && b==y)
	printf("prvi");
	return 0;
}